Jump to content
linuxserver.io

[Plugin] Linuxserver.io - Unraid Nvidia

1649 posts in this topic Last Reply

Recommended Posts

I have recently attempted to get HW transcoding working but have hit an error that I can not figure out.

 

I am currently running Unraid RC5, have downloaded the plug in, typed in the extra parameters, GPU GUID and GPU Capabilities. I have a working Nvidia-SMI screen but keep getting the error below when trying to transcode over hardware. I have tried googling with no luck.

 

I am currently using the LinuxSevers IO Plex App and do have Plex Pass (I watch on my phone all the time with CPU transcode).

 

This is tested on multiple 1080p, 264, .mkv files.

 

Thank you,

Woring SMI.PNG

Unraid Error.PNG

Edited by Slik

Share this post


Link to post

Got my 1650 Super and prior to this release (of the Unraid / NVIDIA Drivers) I couldn't get it to pass through to my VM.

 

Since this driver release, the card should be supported by the NVIDIA driver. However, under the Info Panel, GPU Model and Bus it just shows as a Graphics Device. I know on my previous card, it had the model number etc.

 

Is something wrong here? I'm going to pull the card out tomorrow and try it in my baremetal windows PC, as it might be a bad card.

Share this post


Link to post
10 hours ago, CHBMB said:

This was an interesting one, builds completed and looked fine, but wouldn't boot, which was where the fun began.

 

Initially I thought it was just because we were still using GCC v8 and LT had moved to GCC v9, alas that wasn't the case.

 

After examining all the bits and watching the builds I tried to boot with all the Nvidia files but using a stock bzroot, which worked.

 

So then tried to unpack and repack a stock bzroot, which also reproduced the error.  And interestingly the repackaged stock bzroot was about 15mb bigger.

 

Asked LT if anything had changed, as we were still using the same commands as we were when I started this back in ~June 2018.  Tom denied anything had changed their end recently.  Just told us they were using xz --check=crc32 --x86 --lzma2=preset=9 to pack bzroot with.

 

So changed the packaging to use that for compression, still wouldn't work. 

 

At one point I had a repack that worked, but when I tried a build again, I couldn't reproduce it, which induced a lot of head scratching and I assumed my version control of the changes I was making must have been messed up, but damned if I could reproduce a working build, both @bass_rock and me were trying to get something working with no luck.

 

Ended up going down a rabbit hole of analysing bzroot with binwalk, and became fairly confident that the microcode prepended to the bzroot file was good, and it must be the actual packaging of the root filesystem that was the error.

 

We focused in on the two lines relevant the problem being LT had given us the parameter to pack with, but that is receiving an input from cpio so can't be fully presumed to be good, and we still couldn't ascertain that the actual unpack was valid, although it looked to give us a complete root filesystem.  Yesterday @bass_rock and I were both running "repack" tests on a stock bzroot to try and get that working, confident that if we could do that the issue would be solved.  Him on one side of the pond and me on the other..... changing a parameter at a time and discussing it over Discord.  Once again managed to generate a working bzroot file, but tested the same script again and it failed.  Got to admit that confused the hell out of me.....

 

Had to go to the shops to pick up some stuff, which gave me a good hour in the car to think about things and I had a thought, I did a lot of initial repacking on my laptop rather than via an ssh connection to an Unraid VM, and I wondered if that may have been the reason I couldn't reproduce the working repack.  Reason being, tab completion on my Ubuntu based laptop means I have to prepend any script with ./ whereas on Unraid I can just enter the first two letters of the script name and tab complete will work, obviously I will always take the easiest option.  I asked myself if the working build I'd got earlier was failing because it was dependent on being run using ./ and perhaps I'd run it like that on the occasions it had worked.

 

Chatted to bass_rock about it and he kicked off a repackaging of stock bzroot build with --no-absolute-filenames removed from the cpio bit and it worked, we can only assume something must have changed LT side at some point.

 

To put it into context this cpio snippet we've been using since at least 2014/5 or whenever I started with the DVB builds.

 

The scripts to create a Nvidia build are over 800 lines long (not including the scripts we pull in from Slackbuilds) and we had to change 2 of them........

There are 89 core dependencies, which occasionally change with an extra one added or a version update of one of these breaks things.


I got a working Nvidia build last night and was testing it for 24 hours then woke up to find FML Slackbuilds have updated the driver since.  Have run a build again, and it boots in my VM.  Need to test transcoding on bare metal but I can't do that as my daughter is watching a movie, so it'll have to wait until either she goes for a nap or the movie finishes.

 

 Just thought I'd give some background for context, please remember all the plugin and docker container authors on here do this in our free time, people like us, Squid, dlandon, bonienl et al put a huge amount of work in, and we do the best we can.

 

 

 

Comments like this are not helpful, nor appreciated, so please read the above to find out, and get some insight into why you had to endure the "exhaustion" of constant reminders to upgrade to RC7. 

 

 

Comments like this are welcome and make me happy..... :D

 

 

EDT: Tested and working, uploading soon.

2019-12-01_09-40.png.b65cc29154f794c531bb1287329270cc.png

 

 

HEAD = BLOWN

 

Great work and commitment, thank you.

Share this post


Link to post
26 minutes ago, leejbarker said:

Got my 1650 Super and prior to this release (of the Unraid / NVIDIA Drivers) I couldn't get it to pass through to my VM.

 

Since this driver release, the card should be supported by the NVIDIA driver. However, under the Info Panel, GPU Model and Bus it just shows as a Graphics Device. I know on my previous card, it had the model number etc.

 

Is something wrong here? I'm going to pull the card out tomorrow and try it in my baremetal windows PC, as it might be a bad card.

Further to this, it does seem to be hardware transcoding fine!

Share this post


Link to post

@CHBMB If you ever put us internet nerds before your daughters movie watching I will be forced to uninstall the nvidia builds.

 

;)

Share this post


Link to post
6 hours ago, wreave said:

I can confirm the RTL8125 driver is working now. Thanks!

Great, thanks for letting me know

 

And thanks for all the kind words people!

Share this post


Link to post
1 hour ago, leejbarker said:

Got my 1650 Super and prior to this release (of the Unraid / NVIDIA Drivers) I couldn't get it to pass through to my VM.

 

Since this driver release, the card should be supported by the NVIDIA driver. However, under the Info Panel, GPU Model and Bus it just shows as a Graphics Device. I know on my previous card, it had the model number etc.

 

Is something wrong here? I'm going to pull the card out tomorrow and try it in my baremetal windows PC, as it might be a bad card.

You don't need this build to pass through the card to a VM and it doesn't have anything to do with what it is recognized as in Linux. It is the system devices list you are talking about?

Share this post


Link to post
4 hours ago, leejbarker said:

Got my 1650 Super and prior to this release (of the Unraid / NVIDIA Drivers) I couldn't get it to pass through to my VM.

 

Since this driver release, the card should be supported by the NVIDIA driver. However, under the Info Panel, GPU Model and Bus it just shows as a Graphics Device. I know on my previous card, it had the model number etc.

 

Is something wrong here? I'm going to pull the card out tomorrow and try it in my baremetal windows PC, as it might be a bad card.

 

3 hours ago, leejbarker said:

Further to this, it does seem to be hardware transcoding fine!

 

2 hours ago, saarg said:

You don't need this build to pass through the card to a VM and it doesn't have anything to do with what it is recognized as in Linux. It is the system devices list you are talking about?

I think it's working fine now @saarg although the more I read it the more I'm getting confused.....

 

 

Edited by CHBMB

Share this post


Link to post
On 11/28/2019 at 10:57 PM, Coolsaber57 said:

Hello, 

 

I'm having some trouble getting Emby to see my GPU.  I have gone through all the steps, the Nvidia plugin can see my GPU and I've configured the docker container below (binhex-emby).  I've restarted by my entire machine and the Docker container separately, but still no dice.  When I click on the Transcoding page in Emby, and select Advanced, all I see is the section headers.  

 

image.thumb.png.1787eb03e14e22dec13d36cce8dbe009.png

 

Any tips on what I can try to get it to see the GPU?

 

Edit: I see this and a few more errors in my emby docker log: 


Error NvidiaCodecProvider: Error running ffdetect for nvencdec - args: -hide_banner -show_program_version -loglevel 48 -show_error -show_log 40 nvencdec -print_format json

*** Error Report ***

 

Edit2:  I tried setting up the LinuxServer version of the container and though it doesn't show any of the above errors in the log, it also doesn't show anything in the transcode "advanced" page.


Thanks!

dockerlog.txt 18.38 kB · 1 download

Re-posting to see if anyone can see anything I'm doing wrong or have any suggestions.

Share this post


Link to post
7 hours ago, CHBMB said:

 

 

I think it's working fine now @saarg although the more I read it the more I'm getting confused.....

 

 

I was a little confused also, but thought I would educate...

Share this post


Link to post
1 hour ago, Coolsaber57 said:

Re-posting to see if anyone can see anything I'm doing wrong or have any suggestions.

Have you copied the nvidia variables and the runtime into the template? If so, try typing it manually in case there are some nasty hidden characters sneaking in.

 

For emby you also have to be using emby premiere to be able to use transcoding.

Share this post


Link to post
Re-posting to see if anyone can see anything I'm doing wrong or have any suggestions.
As a troubleshooting, you could try our container as that's the one we test with.

Sent from my Mi A1 using Tapatalk

Share this post


Link to post

Thanks for your commitment, have donated since this is pivotal to the purpose of my server, the price of a round of drinks seems well worth it in my opinion.

Share this post


Link to post

Hi, first of all, thanks for this awesome plugin! 

 

Is there an ETA when you'll support unRaid 6.7.2 (or even 6.8.0)? 

 

I'm looking forward to running Plex as a docker, but I don't really want to get too far behind on the unRaid Version. 

Share this post


Link to post
2 minutes ago, holoX said:

Hi, first of all, thanks for this awesome plugin! 

 

Is there an ETA when you'll support unRaid 6.7.2 (or even 6.8.0)? 

 

I'm looking forward to running Plex as a docker, but I don't really want to get too far behind on the unRaid Version. 

?? Check your plugin. 6.7.2 has been supported for about 6 months. Latest 6.8 release candidate is also supported as of yesterday

Share this post


Link to post
3 minutes ago, aptalca said:

?? Check your plugin. 6.7.2 has been supported for about 6 months. Latest 6.8 release candidate is also supported as of yesterday

Thats strange. I'm working with a fresh unRaid Install (a week old) and the Plugin shows up as "up-to-date" too. 

 

 

Bildschirmfoto 2019-12-02 um 16.27.38.png

Share this post


Link to post
1 minute ago, holoX said:

Thats strange. I'm working with a fresh unRaid Install (a week old) and the Plugin shows up as "up-to-date" too. 

 

 

Bildschirmfoto 2019-12-02 um 16.27.38.png

Then go into the plugin via the settings page.  You'll see the available versions in the dropdown.

 

Note: the plugin doesn't need updating for a new version of Unraid to be added to the list of available downloads.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.